Subject: Re: [3.8-{rc1,rc2}] ata1.00: failed to get Identify Device Data, Emask 0x1

From: Jeff Garzik <[email-masked]>
Date: Wed, 16 Jan 2013 08:50:16 -0500

On 01/16/2013 05:10 AM, Sedat Dilek wrote:
> On Sat, Jan 5, 2013 at 3:20 AM, Huang, Shane <[email-masked]> wrote:
>>> OK, I see the patch I mentioned to fix the problem was later reverted [1].
>>> The real fix is "libata: replace sata_settings with devslp_timing" [2].
>>
>> Yes, please use [2] which can also be found in kernel bugzilla #51881
>> and is pending on Jeff's acceptance. Sorry for the trouble to you guys.
>>
>
> [ CCing Linus ]
>
> Thanks for taking care (my latest experiences on LKML/linux-next tell
> me even this is no more the fact!)!
>
> Your patch finally hit Linux-Next (next-20130116) and IIRC it is also
> marked for previous Linux-kernel releases (CC -stable).
> I have tested your patch as said also against Linux v3.8-rcX.
>
> Unfortunately, the applied patch in Linux-Next does not contain any of
> my desired Reported-by/Tested-by.
> This makes me a bit unhappy, but I do NOT insist on it.
>
> Mr. Torvalds himself pointed several times to all maintainers to
> honour people - even they report and ideally report-and-test!
>
> I am doing all my testings in my free-time and I am not paid for it.
> I am raping my hardware here!
> I can't do more than that!

We definitely appreciate that.  The patch in question actually went into 
the git repository before your report was received.  You did not see it 
in linux-next until my local git repository was pushed out to kernel.org 
(and thus automatically included in linux-next).

	Jeff